Subject: Re: [PATCH 1/8] Add basic Coccinelle transforms.

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jun 2016 19:54:12 -0700

"brian m. carlson" <[email-masked]> writes:

> My goal here is simply to avoid needing to include this set of
> transformations in each commit message, which would tend to bloat it
> considerably.

Yeah, I understand that.  Philosophically this is similar to what we
traditionally keep in contrib/examples/, where it is not really part
of git-the-product but is still shipped to help git developers.

The resulting changes looked reasonably clean and thorough (the
latter is understandable as it is a tool's output ;-), and the input
language quite understandable.  This sounds like a fun process.

Thanks.